// next-auth.d.ts
import NextAuth from "next-auth";
import { JWT } from "next-auth/jwt";

// Extend the default session interface
declare module "next-auth" {
  interface Session {
    accessToken?: string;
  }
}

// Extend the default JWT interface
declare module "next-auth/jwt" {
  interface JWT {
    accessToken?: string;
  }
}
